package com.sibatel.solarapp.data.model.keuangan

import com.google.gson.annotations.SerializedName

data class BiayaLapangan(

	@field:SerializedName("surat_lurah")
	val suratLurah: String? = null,

	@field:SerializedName("nama_site")
	val namaSite: String? = null,

	@field:SerializedName("created_at")
	val createdAt: String? = null,

	@field:SerializedName("biaya_teknisi")
	val biayaTeknisi: String? = null,

	@field:SerializedName("nama_genset")
	val namaGenset: String? = null,

	@field:SerializedName("gbr_lapangan")
	val gbrLapangan: String? = null,

	@field:SerializedName("biaya_perbaikan_perangkat")
	val biayaPerbaikanPerangkat: String? = null,

	@field:SerializedName("site_donor")
	val siteDonor: Any? = null,

	@field:SerializedName("biaya")
	val biaya: String? = null,

	@field:SerializedName("updated_at")
	val updatedAt: String? = null,

	@field:SerializedName("ket_tagihan")
	val ketTagihan: String? = null,

	@field:SerializedName("id")
	val id: Int? = null,

	@field:SerializedName("nama_brg")
	val namaBrg: String? = null,

	@field:SerializedName("uang_makan")
	val uangMakan: String? = null,

	@field:SerializedName("site_receipter")
	val siteReceipter: Any? = null,

	@field:SerializedName("dana_operasional")
	val danaOperasional: String? = null,

	@field:SerializedName("kategori")
	val kategori: String? = null,

	@field:SerializedName("gbr_sblm")
	val gbrSblm: String? = null,

	@field:SerializedName("bbm_mobil")
	val bbmMobil: String? = null,

	@field:SerializedName("nama_penjaga_site")
	val namaPenjagaSite: String? = null,

	@field:SerializedName("biaya_lain")
	val biayaLain: String? = null,

	@field:SerializedName("tujuan_pengiriman")
	val tujuanPengiriman: String? = null,

	@field:SerializedName("user_id")
	val userId: String? = null,

	@field:SerializedName("gbr_bon")
	val gbrBon: String? = null,

	@field:SerializedName("ket_service")
	val ketService: String? = null,

	@field:SerializedName("jlh_liter")
	val jlhLiter: String? = null,

	@field:SerializedName("jlh_unit")
	val jlhUnit: String? = null,

	@field:SerializedName("biaya_beli_perangkat")
	val biayaBeliPerangkat: String? = null,

	@field:SerializedName("biaya_tukang")
	val biayaTukang: String? = null,

	@field:SerializedName("gbr_sdh")
	val gbrSdh: String? = null
)
