package com.sibatel.solarapp.ui.user

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.sibatel.solarapp.ui.mentoring.solar.pengambilan.PengambilanSolarFragment
import com.sibatel.solarapp.ui.mentoring.solar.penggunaan.PenggunaanSolarFragment

class ProfilPagerAdapter(fm: FragmentActivity) : FragmentStateAdapter(fm) {

    override fun getItemCount(): Int = 6

    override fun createFragment(position: Int): Fragment =
        when(position){
            0 -> ProfilSCDFragment()
            1 -> ProfilKoordinatorFragmend()
            2 -> ProfilCGLFragment()
            3 -> ProfilKorektifFragment()
            4 -> ProfilMaintenanceFragment()
            5 -> ProfilProjectFragment()
            else -> ProfilSCDFragment()
        }

}