package com.sibatel.solarapp.utils

import android.view.animation.Animation
import android.view.animation.Transformation
import android.widget.ProgressBar




class ProgressBarAnimation() : Animation() {
    private var progressBar: ProgressBar? = null
    private var from = 0f
    private var to = 0f

    fun ProgressBarAnimation(progressBar: ProgressBar?, from: Float, to: Float) {
        this.progressBar = progressBar
        this.from = from
        this.to = to
    }

    override fun applyTransformation(interpolatedTime: Float, t: Transformation?) {
        super.applyTransformation(interpolatedTime, t)
        val value = from + (to - from) * interpolatedTime
        progressBar!!.progress = value.toInt()
    }

}